import 'package:cpt_job/modules/applied_workflow/applied_workflow_page.dart';
import 'package:cpt_job/modules/job_applied/job_applied_page.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/job_list/job_list_page.dart';
import '../modules/job_list_detail/job_list_detail_page.dart';
import '../modules/sign_in_sign_out/sign_in_sign_out_page.dart';

class JobPageRouter {
  static final routes = [
    //签到签出
    GetPage(
      name: RouterPath.JOB_SIGN_IN_SIGN_OUT,
      page: () => SignInSignOutPage(),
    ),

    //工作列表
    GetPage(
      name: RouterPath.JOB_LIST,
      page: () => JobListPage(),
    ),

    //工作列表详情
    GetPage(
      name: RouterPath.JOB_LIST_DETAIL,
      page: () => JobListDetailPage(),
    ),

    //工作已申请列表
    GetPage(
      name: RouterPath.JOB_APPLIED_STAFF_LIST,
      page: () => JobAppliedPage(),
    ),

    //工作已申请列表
    GetPage(
      name: RouterPath.JOB_APPLIED_STAFF_WORKFLOW,
      page: () => AppliedWorkflowPage(),
    ),
  ];
}
